Subject: Re: [decade] Poll for the time slot of DECADE bar BoF

From: Tao Ma <[email-masked]>
Date: Wed, 22 Jul 2009 15:51:58 +0800

Hi,
     I am not very clear about the description of DECADE bar BoF.What does "a
possible way to move p2p applications data plane into the network and how to
integrate it with p2p applications seamlessly" mean? Does it mean that there
would be an independent data storage system which would be accessed by
various P2P applications? In that way, who would operate the storage system
or is this system a distributed system? I am a little confused about the
concept of "in-network storage". I would appreciate your reply:)
Tao Ma
July 22nd
Beijing University of Posts and Telecommunications, Mobile lIfe and New
Media Lab

---

From: Ning Zong <[email-masked]>
Date: Wed, 22 Jul 2009 16:43:31 +0800

Hi, Tao,

Please see inline.

BR,

Ning Zong

  _____  

发件人: [email-masked] [mailto:[email-masked]] 代表 Tao Ma
发送时间: 2009年7月22日 15:52
收件人: [email-masked]; [email-masked]
抄送: [email-masked]
主题: Re: [decade] Poll for the time slot of DECADE bar BoF

Hi,
     I am not very clear about the description of DECADE bar BoF.What does
"a possible way to move p2p applications data plane into the network and how
to integrate it with p2p applications seamlessly" mean? 

[Ning Zong] Our aim is to decouple P2P signaling plane and data plane such
that the data traffic is not necessarily among the peers – hence
potentially reduce the burden on access domain.

Here, “in-network storage” means the storage provided by ISP, Cache or CDN
providers and provides the above capabilities to P2P applications.

Does it mean that there would be an independent data storage system which
would be accessed by various P2P applications? 

[Ning Zong] Yes.

In that way, who would operate the storage system or is this system a
distributed system?

[Ning Zong] see above, ISP, Cache or CDN providers would provide such system
to P2P applications, and such system would be a distributed system.

 I am a little confused about the concept of "in-network storage".

[Ning Zong] see above

 I would appreciate your reply:) 

[Ning Zong] I would also thank you for your interest in this topic. Look
forward to see you DECADE bar BoF in Stockholm.

Tao Ma
July 22nd

---

From: Song Haibin <[email-masked]>
Date: Wed, 22 Jul 2009 17:27:13 +0800

Hi,
 
The reason that we would like to move the data plane of P2P applications
into network is that P2P puts pressure not only on the transit link and the
network backbone, but also on the last mile link (upload). The existing
solution is cache system which has to support various evolving p2p
application protocols. We would like to simplify that by decoupling the
signal plane and data plane, and with a unified protocol for the data plane
access. The signal plane may remain the way it works now in a p2p fashion.
We will send out the problem statement document soon, it will be more clear
than what I said here: )

Thanks!
Haibin

  _____  

From: Ning Zong [mailto:[email-masked]] 
Sent: Wednesday, July 22, 2009 4:44 PM
To: 'Tao Ma'; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: 答复: [decade] Poll for the time slot of DECADE bar BoF

Hi, Tao,

Please see inline.

BR,

Ning Zong

  _____  

Hi,

[Ning Zong] Yes.

[Ning Zong] see above

Tao Ma
July 22nd

---

From: Tao Ma <[email-masked]>
Date: Wed, 22 Jul 2009 18:12:36 +0800

Hi,
    Really thanks for explanation. I would wait for the problem statement
draft:)
Tao Ma
Beijing University of Posts and Telecommunications, Mobile lIfe and New
Media Lab

2009/7/22 Song Haibin <[email-masked]>

> network backbone, but also on the last mile link (upload). The
> existing solution is cache system which has to support various evolving p2p
> signal plane and data plane, and with a unified protocol for the data
> plane access. The signal plane may remain the way it works now in a p2p
> fashion. We will send out the problem statement document soon, it will be
> more clear than what I said here: )
>
>
> Thanks!
> Haibin
>
>
>
>
>  ------------------------------
> *From:* Ning Zong [mailto:[email-masked]]
> *Sent:* Wednesday, July 22, 2009 4:44 PM
> *To:* 'Tao Ma'; [email-masked]; [email-masked]
> *Cc:* [email-masked]
> *Subject:* 答复: [decade] Poll for the time slot of DECADE bar BoF
>
>  Hi, Tao,
>
>
>
> Please see inline.
>
>
>
>
>
> BR,
>
> Ning Zong
>  ------------------------------
>
> *发件人:* [email-masked] [mailto:[email-masked]] *代表 *Tao
> Ma
> *发送时间:* 2009年7月22日 15:52
> *收件人:* [email-masked]; [email-masked]
> *抄送:* [email-masked]
> *主题:* Re: [decade] Poll for the time slot of DECADE bar BoF
>
>
>
> Hi,
> "a possible way to move p2p applications data plane into the network and
> how to integrate it with p2p applications seamlessly" mean?
>
>
>
> that the data traffic is not necessarily among the peers – hence potentially
> reduce the burden on access domain.
>
> [Ning Zong] see above, ISP, Cache or CDN providers would provide such
> system to P2P applications, and such system would be a distributed system.
>
>
>